at_app_flutter 5.2.0 copy "at_app_flutter: ^5.2.0" to clipboard
at_app_flutter: ^5.2.0 copied to clipboard

A library that help developers build flutter applications on the atPlatform.

at_app_flutter #

pub package pub points gitHub license CI

Overview #

at_app_flutter contains additional logic that applications generated by at_app use.

This open source package is written in Dart, supports Flutter and follows the atPlatform's decentralized, edge computing model with the following features:

  • Cryptographic control of data access through personal data stores
  • No application backend needed
  • End to end encryption where only the data owner has the keys
  • Private and surveillance free connectivity
  • Read atPlatform environment variables into your application

We call giving people control of access to their data “flipping the internet” and you can learn more about how it works by reading this overview.

Get started #

This package is automatically included in your application when you generate an app using at_app. See the at_app usage to learn how to generate an app that includes this package.

How it works #

This package includes the AtEnv model which interprets atPlatform specific environment variables from a .env file.

Usage #

See the Example tab on pub.dev.

Open source usage and contributions #

This is open source code, so feel free to use it as is, suggest changes or enhancements or create your own version. See CONTRIBUTING.md for detailed guidance on how to setup tools, tests and make a pull request.

Acknowledgement/attribution #

This package was originally created by Xavier Chanthavong.

Maintainers #

This package is currently maintained by Xavier Chanthavong.

2
likes
130
pub points
71%
popularity

Publisher

verified publisheratsign.org

A library that help developers build flutter applications on the atPlatform.

Homepage
Repository (GitHub)
View/report issues
Contributing

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

at_onboarding_flutter, at_utils, flutter, flutter_dotenv, meta

More

Packages that depend on at_app_flutter